/*** RelayCard.h ***/
//------------------------------------------------
 #ifndef __RELAY_CARD_DEFINITIONS__
 #define __RELAY_CARD_DEFINITIONS__
//------------------------------------------------
 #define BOOL int
 #define SERIAL_PORT 0

// define the correct number of relay cards
 #define RELAY_CARDS_COUNT 3

 #define TIME_OUT 15000
//------------------------------------------------
/*** Relay Card Definitions ***/
 #define FRAME_SIZE 4
 #define COMMAND 0
 #define ADDRESS 1
 #define DATA 2
 #define CHECKSUM 3

 #define RECEIVE_BUFF_SIZE ((FRAME_SIZE*(RELAY_CARDS_COUNT+1))+1)
 #define TRANSMIT_BUFF_SIZE  FRAME_SIZE
 #define FIFO_BUFF_SIZE      6
 #define SERIAL_BUFF_SIZE   (RECEIVE_BUFF_SIZE+TRANSMIT_BUFF_SIZE+FIFO_BUFF_SIZE)

// keine Aktion (NOP)
 #define NO_OPERATION 0
 #define NO_OPERATION_OK 255

// Initialisierung
 #define SETUP 1
 #define SETUP_OK 254

// Schaltzustnde abfragen
 #define GET_PORT 2
 #define GET_PORT_OK 253

// Relais schalten
 #define SET_PORT 3
 #define SET_PORT_OK 252

// Optionen abfragen
 #define GET_OPTION 4
 #define GET_OPTION_OK 251

// Optionen setzen
 #define SET_OPTION 5
 #define SET_OPTION_OK 250

// Relais einschalten ohne nderung der restlichen Ausgnge
 #define SET_SINGLE 6
 #define SET_SINGLE_OK 249

// Relais ausschalten ohne nderung der restlichen Ausgnge
 #define DEL_SINGLE 7
 #define DEL_SINGLE_OK 248

// Wechseln des Schaltzustands ohne nderung der restlichen Ausgnge
 #define TOGGLE 8
 #define TOGGLE_OK 247

 #define BROADCAST_ADDR 0
// Broadcast nicht ausfhren und nicht blockieren
 #define NOEXE_NOBLOCK 0
// Broadcast ausfhren und nicht blockieren
 #define EXE_NOBLOCK 1
// Broadcast nicht ausfhren aber blockieren
 #define NOEXE_BLOCK 2
// Broadcast ausfhren aber blockieren
 #define EXE_BLOCK 3
 #define END_OPTIONS 3

 #define RELAY_1 1
 #define RELAY_2 2
 #define RELAY_3 4
 #define RELAY_4 8
 #define RELAY_5 16
 #define RELAY_6 32
 #define RELAY_7 64
 #define RELAY_8 128
 #define RELAY_ALL 255
 #define RELAY_NO 0
 #define CARD_1 1
 #define CARD_2 2
 #define CARD_3 3
 #define CARD_4 4
// u.s.w.
//------------------------------------------------
 byte RelayCardChecksum(void)
    {
    return gaby_tx_buffer[COMMAND] ^ gaby_tx_buffer[ADDRESS] ^ gaby_tx_buffer[DATA];
    }
//------------------------------------------------
 #endif
//------------------------------------------------